package org.simantics.document.server.io;

import java.util.List;
import java.util.Map;

public interface CommandContext {
	
	public static final String REQUIRED_KEYS = "!!!requiredKeys";
	public static final String FORBIDDEN_KEYS = "!!!forbiddenKeys";
	
	// Generic interface
	public Map<String, List<List<Object>>> getData();
	public List<List<Object>> getRows(String key);
	public boolean containsKey(String key);
	public List<String> getKeys();
	
	// Utility methods
	@Deprecated
	public String getString(String key);
	
	public <T> T getValue(String key);
	
}
